# GUI

abstract class GUI<T : ForInventory>(data: GUIData<T>)
Content copied to clipboard

## Functions

closeGUI
Link copied to clipboard
abstract fun closeGUI()
Content copied to clipboard
Closes this GUI for all viewers and unregisters all instances.
getAllInstances
Link copied to clipboard
abstract fun getAllInstances(): Collection<GUIInstance<T>>
Content copied to clipboard
Returns all active instances of this GUI.
getInstance
Link copied to clipboard
abstract fun getInstance(player: Player): GUIInstance<T>
Content copied to clipboard
Returns the instance beloning to the given player.

## Properties

data
Link copied to clipboard
val data: GUIData<T>
Content copied to clipboard

## Inheritors

GUIShared
Link copied to clipboard
GUIIndividual
Link copied to clipboard